# Google Data APIs Client Library (1.43.0)

## com.google.gdata.client.blogger
Enum BlogPostQuery.OrderBy

    java.lang.Object
      java.lang.Enum<BlogPostQuery.OrderBy>
          com.google.gdata.client.blogger.BlogPostQuery.OrderBy

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<BlogPostQuery.OrderBy>

Enclosing class:
  BlogPostQuery

    public static enum BlogPostQuery.OrderBy

extends java.lang.Enum<BlogPostQuery.OrderBy>

Order of entries in a feed. Default value is `PUBLISHED`.

Enum Constant Summary
`EDITED` Order the returned feed's entries by their <app:edited> values.
`PUBLISHED` Order the returned feed's entries by their <published> values.
`UPDATED` Order the returned feed's entries by their <updated> values.

Method Summary
`java.lang.String` `toValue()` Returns the value used in the URL.
`static BlogPostQuery.OrderBy` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static BlogPostQuery.OrderBy[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### EDITED

    public static final BlogPostQuery.OrderBy EDITED

  Order the returned feed's entries by their <app:edited> values.

### PUBLISHED

    public static final BlogPostQuery.OrderBy PUBLISHED

  Order the returned feed's entries by their <published> values.

### UPDATED

    public static final BlogPostQuery.OrderBy UPDATED

  Order the returned feed's entries by their <updated> values.

Method Detail

### values

    public static BlogPostQuery.OrderBy[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (BlogPostQuery.OrderBy c : BlogPostQuery.OrderBy.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static BlogPostQuery.OrderBy valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### toValue

    public java.lang.String toValue()

  Returns the value used in the URL.

  Returns:
    value used in the URL.